#!/usr/bin/env python3
# glt16 - Demo moonrise/-set with PyEphem

import ephem

graz = ephem.Observer()
# graz.date = ephem.now()
graz.date = '2016/4/30 15:30'  # yyyy:MM:dd
graz.lat = '46:59:28'  # gg:mm:ss
graz.lon = '15:26:23'  # gg:mm:ss
# graz.elevation = 300   # m
graz.pressure = 970  # 970 hPa = mbar

moon = ephem.Moon()  #  Body-Objekt

print(70 * '=')
print(graz.date)
print('Elevation    : ', graz.elevation, '     Pressure: ', graz.pressure)
print(50 * '-')
print('Previous set : ', graz.previous_setting(moon, use_center=False))
print('Previous rise: ', graz.previous_rising(moon))
print('Next    set  : ', graz.next_setting(moon))
print('Next    rise : ', graz.next_rising(moon))
print(50 * '-')
# Sternbild (constellation), NICHT: Sternzeichen (zodiac)
print('Constellation: ', ephem.constellation(moon))
print('Moon phase   : ', moon.moon_phase)
print('Phase        : ', moon.phase)
print(50 * '-')
print('Prev.full    :', ephem.previous_full_moon(graz.date))
print('Next full    :', ephem.next_full_moon(graz.date))
print('Prev. new    :', ephem.previous_new_moon(graz.date))
print('Next  new    :', ephem.next_new_moon(graz.date))
print('Prev. 1.qu.  :', ephem.previous_first_quarter_moon(graz.date))
print('Next  1.qu.  :', ephem.next_first_quarter_moon(graz.date))

