#!/usr/bin/env python3
# glt16 - Demo twilight with PyEphem

import ephem

graz = ephem.Observer()
graz.date = ephem.now()
# graz.date = '2016/6/21 12:00'
graz.lat = '46:59:28'  # gg:mm:ss
graz.lon = '15:26:23'  # gg:mm:ss
graz.pressure = 0.0    # hPa = mbar
graz.horizon = '-6.0'  # degree, civil
# graz.horizon = '-12.0'  # degree, nautical
# graz.horizon = '-18.0'  # degree, astronomical

sun = ephem.Sun()  # @UndefinedVariable

print(graz.date)
print('horizon: ', graz.horizon)
print('Presure: ', graz.pressure)
print('Previous ExET : ', graz.previous_setting(sun, use_center=True))
print('Previous BxMT : ', graz.previous_rising(sun, use_center=True))
print('Next     ExET : ', graz.next_setting(sun, use_center=True))
print('Next     BxMT : ', graz.next_rising(sun, use_center=True))

